<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>libgdamm: New API in libgdamm 4.2</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">libgdamm
   &#160;<span id="projectnumber">4.99.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">New API in libgdamm 4.2 </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="reflist">
<dt><a class="anchor" id="_since_4_2000003"></a>Member <a class="el" href="classGnome_1_1Gda_1_1Connection.html#a944eaf61422c1c88f56d196764acd19e">Gnome::Gda::Connection::async_cancel</a>  (guint task_id)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000002"></a>Member <a class="el" href="classGnome_1_1Gda_1_1Connection.html#a58684e3fd2cfdf6058b20fbed50bda06">Gnome::Gda::Connection::async_fetch_result</a>  (guint task_id, GdaSet** last_insert_row)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000001"></a>Member <a class="el" href="classGnome_1_1Gda_1_1Connection.html#a0b2769c56207942aa9033a3c8aeb9a79">Gnome::Gda::Connection::async_statement_execute</a>  (const Glib::RefPtr&lt; const Statement &gt;&amp; stmt, const Glib::RefPtr&lt; const Set &gt;&amp; params, StatementModelUsage model_usage, const std::vector&lt; GType &gt;&amp; col_types, bool need_last_insert_row=false)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000004"></a>Member <a class="el" href="classGnome_1_1Gda_1_1DataSelect.html#a0ed9108b77032dd05dffcc1a5a37fc73">Gnome::Gda::DataSelect::rerun</a>  ()</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000005"></a>Member <a class="el" href="classGnome_1_1Gda_1_1MetaStore.html#a50d4310ec84430360dd622429c4fa137">Gnome::Gda::MetaStore::set_identifiers_style</a>  (SqlIdentifierStyle style)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000009"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a7af5c7f975e03545ef64e6126e8e6bb1">Gnome::Gda::SqlBuilder::add_field_id</a>  (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; field_name, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; table_name=<a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring()</a>)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000021"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a5c3192c1bf4536985d7270b6967a79fc">Gnome::Gda::SqlBuilder::add_field_value_as_value</a>  (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; field_name, const <a class="el" href="classGnome_1_1Gda_1_1Value.html" title="Use value_type() to identify the value type at runtime. ">Value</a>&amp; value)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000020"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#afdfd53d73ddcea4a38003a69e8f6ef40">Gnome::Gda::SqlBuilder::add_field_value_id</a>  (Id field_id, Id value_id=0)</dt>
<dd><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">field_id</td><td>The ID of the field's name or definition. </td></tr>
    <tr><td class="paramname">value_id</td><td>The ID of the value to set the field to, or %0.  </td></tr>
  </table>
  </dd>
</dl>
</dd>
<dt><a class="anchor" id="_since_4_2000008"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a6d5a21a49cec727f46d6f4bb88b433fa">Gnome::Gda::SqlBuilder::add_id</a>  (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; string)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000022"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a01090bc2225e99333745dcaac8e5d548">Gnome::Gda::SqlBuilder::compound_add_sub_select</a>  (const <a class="el" href="classGnome_1_1Gda_1_1SqlStatement.html" title="Every SQL statement can be decomposed in the SqlStatement tree structure. ">SqlStatement</a>&amp; sqlst)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000023"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a76b7b55e3d5422c7c17642659ad43c07">Gnome::Gda::SqlBuilder::export_expression</a>  (Id id) const </dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000007"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#aa12c40b1f38dfcfd84afd361c454122b">Gnome::Gda::SqlBuilder::get_sql_statement</a>  () const </dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000006"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a791685038abb1492ad7366fd1d188b56">Gnome::Gda::SqlBuilder::get_statement</a>  () const </dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000012"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#aed815e1ac30bce96f553eca2b132b177">Gnome::Gda::SqlBuilder::join_add_field</a>  (Id join_id, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; field_name)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000010"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a44a9747d5e1411fd7445e691e315dba5">Gnome::Gda::SqlBuilder::select_add_field</a>  (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; field_name, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; table_name, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; alias=<a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring()</a>)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000011"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a01aa36111b5e98e561f9b432c2e87b38">Gnome::Gda::SqlBuilder::select_add_target_id</a>  (Id table_id, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; alias=<a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring()</a>)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000017"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#ac6d756cc86ecf8fcc9c814d291ddeaaa">Gnome::Gda::SqlBuilder::select_group_by</a>  (Id expr_id)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000013"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a0598f8512da2ef2c21bda0716b04f0aa">Gnome::Gda::SqlBuilder::select_order_by</a>  (Id expr_id, bool asc=true, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; collation_name=<a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring()</a>)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000014"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a613824dd529f5e3f0712a05e925bd7e0">Gnome::Gda::SqlBuilder::select_set_distinct</a>  (bool distinct, Id expr_id)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000016"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#ac928cbb7b507cc06e480703068c49f44">Gnome::Gda::SqlBuilder::select_set_having</a>  (Id cond_id)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000015"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a77d9f993a15e495f201a60415728b53e">Gnome::Gda::SqlBuilder::select_set_limit_id</a>  (Id limit_count_expr_id, Id limit_offest_expr_id=0)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000018"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a86e3f10099ed1ae72923436830f37a86">Gnome::Gda::SqlBuilder::set_table</a>  (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; table_name)</dt>
<dd></dd>
<dt><a class="anchor" id="_since_4_2000019"></a>Member <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a9d2ee2cc23937753279ab956f4093aa8">Gnome::Gda::SqlBuilder::set_where</a>  (Id cond_id)</dt>
<dd></dd>
</dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 4 2015 15:04:40 for libgdamm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
